#!/bin/bash

# Copyright (c) 2022-2025 CPU and Fundamental Software Research Center, CAS
# 
# This software is published by the license of NFS License, you can use and 
# distibuted this software under this License. See NFS Liense for more detail.
#
# You should have receive a copy of NFS License. If not, please contact us 
# by email <os_support@nfschina.com> 

#Applications to be preload after desktop init.
#Modified 2022.06.28 
#Run as low prio level
#Add nfs-browser @2022.03.05
if [ -f /opt/nfs-browser/nfs-browser ]; then
   sleep 1
   nice -n19 /opt/nfs-browser/nfs-browser --preload
fi
if [ -f /opt/cdos-browser2/cdos-browser2 ]; then
   sleep 1
   nice -n19 /opt/cdos-browser2/cdos-browser2 --preload
fi
#For not preload liteoffice, comment this line
#nice -n19 /opt/liteoffice/liteword/program/soffice.bin --preload
#nice -n19 /opt/liteoffice/litecalc/program/soffice.bin --preload
#nice -n19 /opt/liteoffice/liteimpress/program/soffice.bin --preload
